- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSColGenApp Class Reference

`#include <OSColGenApp.h>`

Collaboration diagram for OSColGenApp:

[legend]
List of all members.

## Public Member Functions
void | solveRestrictedMasterRelaxation ()
| kipp -- document
void | getInitialRestrictedMaster ()
void | getOptions (OSOption *osoption)
void | getCuts (const double *x)
void | getColumns (const double *y, const int numRows, int &numColumns, int *numNonz, double *cost, double *rcost, int **rowIdx, double **values, double &lowerBound)
| RETURN VALUES: int numColumns -- number of new columns generated int* numNonz -- number of nonzeros in each column double* cost -- the objective function coefficient on each new column double* rcost -- the reduced cost of each new column double** rowIdx -- vectors row indexes of new columns double** values -- vectors of matrix coefficient values of new columns double lowerBound -- the lowerBound.
| OSColGenApp ()
| Default Constructor.
| OSColGenApp (OSOption *osption)
| Second Constructor.
| ~OSColGenApp ()
| Default destructor.
## Public Attributes
OSInstance * | m_osinstanceMaster
OSOption * | m_osoption
OSResult * | m_osresult
OSRouteSolver * | m_osrouteSolver

## Detailed Description

Definition at line 41 of file OSColGenApp.h.

## Constructor & Destructor Documentation

OSColGenApp::OSColGenApp | ( |  | ) |

Default Constructor.

Definition at line 51 of file OSColGenApp.cpp.

OSColGenApp::OSColGenApp | ( | OSOption * | osption | ) |

Second Constructor.

Definition at line 57 of file OSColGenApp.cpp.

References getOptions(), m_osinstanceMaster, m_osoption, m_osrouteSolver, and osoption.

OSColGenApp::~OSColGenApp | ( |  | ) |

Default destructor.

Definition at line 70 of file OSColGenApp.cpp.

References m_osinstanceMaster, and m_osrouteSolver.

## Member Function Documentation

void OSColGenApp::solveRestrictedMasterRelaxation | ( |  | ) |

kipp -- document

Definition at line 124 of file OSColGenApp.cpp.

References ErrorClass::errormsg, getColumns(), OSInstance::getConstraintNumber(), OSResult::getSolutionStatusType(), OSRouteSolver::m_costVec, OSRouteSolver::m_newColumnRowIdx, OSRouteSolver::m_newColumnRowValue, OSRouteSolver::m_nonzVec, OSRouteSolver::m_numThetaVar, OSRouteSolver::m_optValHub, m_osinstanceMaster, m_osoption, m_osrouteSolver, DefaultSolver::osinstance, CoinSolver::osiSolver, DefaultSolver::osoption, DefaultSolver::osresult, OSRouteSolver::pauHana(), OSInstance::printModel(), CoinSolver::solve(), and DefaultSolver::sSolverName.

Referenced by main().

void OSColGenApp::getInitialRestrictedMaster | ( |  | ) |

Definition at line 81 of file OSColGenApp.cpp.

References OSRouteSolver::getInitialRestrictedMaster(), m_osinstanceMaster, and m_osrouteSolver.

Referenced by main().

void OSColGenApp::getOptions | ( | OSOption * | osoption | ) |

Definition at line 107 of file OSColGenApp.cpp.

References ErrorClass::errormsg.

Referenced by OSColGenApp().

void OSColGenApp::getCuts | ( | const double * | x | ) |

Definition at line 89 of file OSColGenApp.cpp.

void OSColGenApp::getColumns | ( | const double * | y,
|  | const int | numRows,
|  | int & | numColumns,
|  | int * | numNonz,
|  | double * | cost,
|  | double * | rcost,
|  | int ** | rowIdx,
|  | double ** | values,
|  | double & | lowerBound |
| ) |  |  |

RETURN VALUES: int numColumns -- number of new columns generated int* numNonz -- number of nonzeros in each column double* cost -- the objective function coefficient on each new column double* rcost -- the reduced cost of each new column double** rowIdx -- vectors row indexes of new columns double** values -- vectors of matrix coefficient values of new columns double lowerBound -- the lowerBound.

INPUT: double* y -- the vector of dual values int numRows -- size of dual vector

Definition at line 94 of file OSColGenApp.cpp.

References OSRouteSolver::getColumns(), and m_osrouteSolver.

Referenced by solveRestrictedMasterRelaxation().

## Member Data Documentation

OSInstance* OSColGenApp::m_osinstanceMaster

Definition at line 45 of file OSColGenApp.h.

Referenced by getInitialRestrictedMaster(), OSColGenApp(), solveRestrictedMasterRelaxation(), and ~OSColGenApp().

OSOption* OSColGenApp::m_osoption

Definition at line 46 of file OSColGenApp.h.

Referenced by OSColGenApp(), and solveRestrictedMasterRelaxation().

OSResult* OSColGenApp::m_osresult

Definition at line 47 of file OSColGenApp.h.

OSRouteSolver* OSColGenApp::m_osrouteSolver

Definition at line 49 of file OSColGenApp.h.

Referenced by getColumns(), getInitialRestrictedMaster(), OSColGenApp(), solveRestrictedMasterRelaxation(), and ~OSColGenApp().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/applications/columnGen/code/OSColGenApp.h
- /home/coin/SVN-release/OS-2.3.5/OS/applications/columnGen/code/OSColGenApp.cpp